1 Reply Latest reply on Jul 2, 2014 9:35 AM by BobLevine

    Is CS3 compatible with OS X versions later than 10.6?

    spacetools

      I have a Dual quad core Mac Pro computer with Adobe CS3.1 installed and running on it. I would like to upgrade to the latest OS version that will still allow CS3.1 to run on it. Is it possible?